Node Update
Update a node directly. Direct updates are intended for fast edits by members who can manage the target node. If a node has a working draft version, direct updates to versioned page fields are rejected until the draft is applied or deleted. When a direct update changes versioned page fields and no draft exists, the node's `current_version_id` pointer is cleared because the live node no longer exactly represents an applied checkpoint.
Update a node directly.
Direct updates are intended for fast edits by members who can manage
the target node. If a node has a working draft version, direct updates
to versioned page fields are rejected until the draft is applied or
deleted. When a direct update changes versioned page fields and no
draft exists, the node's current_version_id pointer is cleared
because the live node no longer exactly represents an applied
checkpoint.
storyden-session<token>node_slug*stringUnique node Slug.
xidapplication/json- body
Note: Properties are replace-all and are not merged with existing.
name?NodeNameslug?NodeSlugA URL-safe slug for uniquely identifying resources.
asset_ids?array<>asset_sources?array<>url?|urldescription?NodeDescriptionprimary_image_asset_id?|A unique identifier for this resource.
xidcontent?PostContentRich HTML content.
Storyden owns the HTML id attribute in this content. Client-supplied
id attributes are ignored and removed during sanitisation.
For block-aware resources such as threads, replies, library nodes, and
node versions, successful create and update operations assign stable
server-owned block IDs to addressable block elements using the sdb_
prefix, for example <p id="sdb_d46b4s1fs0s8b8j6k2g0">.
On updates, Storyden preserves existing sdb_ block IDs where the
corresponding block can be matched across edits, so links and references
to specific blocks can remain stable as content moves.
Read operations do not assign missing block IDs. Content created before block IDs were assigned, or content where a particular block has no server-owned ID yet, may be returned without block IDs until that resource is next written.
parent?NodeSlugA URL-safe slug for uniquely identifying resources.
hide_child_tree?booleanproperties?array<>tags?array<>meta?Arbitrary metadata for the resource.
Node updated.
application/json- response
The full properties of a node including all child nodes.
id*IdentifierThe applied checkpoint that the live node currently represents. If this is unset, the node either has no applied checkpoint history or has been directly edited since the last applied checkpoint.
xidcreatedAt*stringThe time the resource was created.
date-timeupdatedAt*stringThe time the resource was updated.
date-timedeletedAt?stringThe time the resource was soft-deleted.
date-timemisc?Arbitrary extra data stored with the resource.
name*NodeNameslug*NodeSlugA URL-safe slug for uniquely identifying resources.
current_version_id?IdentifierThe applied checkpoint that the live node currently represents. If this is unset, the node either has no applied checkpoint history or has been directly edited since the last applied checkpoint.
xidassets*array<>link?A minimal object used to refer to a link without sending too much data.
description*NodeDescriptionprimary_image?content?PostContentRich HTML content.
Storyden owns the HTML id attribute in this content. Client-supplied
id attributes are ignored and removed during sanitisation.
For block-aware resources such as threads, replies, library nodes, and
node versions, successful create and update operations assign stable
server-owned block IDs to addressable block elements using the sdb_
prefix, for example <p id="sdb_d46b4s1fs0s8b8j6k2g0">.
On updates, Storyden preserves existing sdb_ block IDs where the
corresponding block can be matched across edits, so links and references
to specific blocks can remain stable as content moves.
Read operations do not assign missing block IDs. Content created before block IDs were assigned, or content where a particular block has no server-owned ID yet, may be returned without block IDs until that resource is next written.
owner*A minimal reference to an account.
parent?A node is a text document with children and assets. It serves as an abstraction for grouping structured data objects. It can represent things such as brands, manufacturers, authors, directors, etc. Nodes can be referenced in content posts and they also have their own content.
hide_child_tree*booleanA boolean indicating if the children of this node tree are hidden when querying the full tree. This is useful for nodes that contain a large amount of children and do not need to be rendered in a tree view (such as a sidebar navigation). These children can still be accessed via the node or node children GET operations for rendering.
tags*array<>A list of tags.
visibility*Visibility"draft""unlisted""review""published"relevance_score?RelevanceScoreFor recommendations and other uses, only available when a Semdex is configured for content indexing and contextual relativity scoring.
meta*Arbitrary metadata for the resource.
recomentations*array<||||>properties*array<>child_property_schema*array<>children*array<>curl -X PATCH 'https://example.com/api/nodes/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "slug": "string", "current_version_id": "string", "assets": [ { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} } ], "link": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "url": "string", "slug": "string", "domain": "string", "title": "string", "description": "string", "favicon_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "liveness_status": "unknown", "liveness_checked_at": "2019-08-24T14:15:22Z", "scrape_status": "pending", "scrape_attempted_at": "2019-08-24T14:15:22Z", "scraped_at": "2019-08-24T14:15:22Z" }, "description": "string", "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "content": "string", "owner": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "parent": {}, "hide_child_tree": true, "tags": [ { "name": "string", "colour": "string", "item_count": 0 } ], "visibility": "draft", "relevance_score": 0, "meta": {}, "recomentations": [ { "kind": "post", "ref": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "title": "string", "description": "string", "slug": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "visibility": "draft", "assets": [ { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} } ], "reacts": [ { "id": "string", "emoji": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] } } ], "collections": { "in_collections": 0, "has_collected": true }, "likes": { "likes": 0, "liked": true }, "meta": {}, "body": "string", "body_links": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "url": "string", "slug": "string", "domain": "string", "title": "string", "description": "string", "favicon_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "liveness_status": "unknown", "liveness_checked_at": "2019-08-24T14:15:22Z", "scrape_status": "pending", "scrape_attempted_at": "2019-08-24T14:15:22Z", "scraped_at": "2019-08-24T14:15:22Z" } ] } } ], "properties": [ { "fid": "string", "name": "string", "type": "text", "value": "string", "sort": "string" } ], "child_property_schema": [ { "fid": "string", "name": "string", "type": "text", "sort": "string" } ], "children": [ {} ]}Node Remove Node DELETE
Remove a node from its parent node and back to the top level.
Node Update Children Property Schema PATCH
Updates the property schema of the children of this node. All children of a node use the same schema for properties resulting in a table-like structure and behaviour. See also: NodeUpdatePropertySchema